Package com.sun.jna.platform.win32

## Class Winnetwk.RESOURCESCOPE

- java.lang.Object
- - com.sun.jna.platform.win32.Winnetwk.RESOURCESCOPE

Enclosing class:
  Winnetwk

    public class Winnetwk.RESOURCESCOPE
    extends java.lang.Object

The scope of the enumeration. This member can be one of the following values defined in the Winnetwk.h header file. NOTE: This are for the dwScope member of NetResource. NOTE: Certain functions allow different values of the scope parameter. Consult MSDN for more info.

### Field Summary

Fields
`static int` `RESOURCE_CONNECTED` Enumerate currently connected resources.
`static int` `RESOURCE_CONTEXT` Enumerate only resources in the network context of the caller.
`static int` `RESOURCE_GLOBALNET` Enumerate all resources on the network.
`static int` `RESOURCE_RECENT` NOTE: Definition for this is not defined in Windows Kits nor on MSDN
`static int` `RESOURCE_REMEMBERED` Enumerate remembered (persistent) connections.

### Constructor Summary

Constructors
`RESOURCESCOPE()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### RESOURCE_CONNECTED

    public static final int RESOURCE_CONNECTED

Enumerate currently connected resources. The dwUsage member cannot be specified.

See Also:
  Constant Field Values

#### RESOURCE_GLOBALNET

    public static final int RESOURCE_GLOBALNET

Enumerate all resources on the network. The dwUsage member is specified.

See Also:
  Constant Field Values

#### RESOURCE_REMEMBERED

    public static final int RESOURCE_REMEMBERED

Enumerate remembered (persistent) connections. The dwUsage member cannot be specified.

See Also:
  Constant Field Values

#### RESOURCE_RECENT

    public static final int RESOURCE_RECENT

NOTE: Definition for this is not defined in Windows Kits nor on MSDN

See Also:
  Constant Field Values

#### RESOURCE_CONTEXT

    public static final int RESOURCE_CONTEXT

Enumerate only resources in the network context of the caller. Specify this value for a Network Neighborhood view. The function ignores the dwUsage parameter.

See Also:
  Constant Field Values

### Constructor Detail

#### RESOURCESCOPE

    public RESOURCESCOPE()